WarpBuild LogoWarpBuild Docs
Runner instance

GET /runner_instance/{id}

Retrieves detailed information about a specific runner instance by ID. A runner instance is a provisioned machine that executes CI/CD jobs. Returns the instance configuration, status, labels, and job processing metadata.

GET
/runner_instance/{id}
Authorization<token>

In: header

Path Parameters

id*string

Runner Instance ID

Response Body

application/json

application/json

application/json

curl -X GET "https://api.warpbuild.com/api/v1/runner_instance/string"
{
  "allocated_at": "string",
  "allocation_for": "string",
  "allocation_mutex_timeout": "string",
  "allocation_path": "string",
  "allocation_requested_at": "string",
  "allocation_requested_event_at": "string",
  "cluster": "string",
  "configuration": {
    "byoc_sku": {
      "arch": "x64",
      "imdsv2_required": true,
      "instance_types": [
        "m5.xlarge",
        "m5.2xlarge"
      ],
      "is_public": false,
      "network_tier": "STANDARD",
      "role_arn": "arn:aws:iam::123456789012:role/WarpBuildRole"
    },
    "capacity_type": "spot",
    "image": "string",
    "sku": {
      "arch": "x64",
      "cores": 0,
      "display_name": "string",
      "id": "string",
      "memory": 0,
      "os": [
        "mac"
      ],
      "properties": {
        "burstable_speed": 0,
        "generation": "string",
        "gpu": 0,
        "manufacturer": "any",
        "performance_category": "small",
        "performance_rating": 0,
        "speed": 0
      }
    },
    "stock_runner_set_id": "string",
    "storage": {
      "disk_type": "pd-balanced",
      "iops": 0,
      "performance_tier": "P15",
      "size": 0,
      "throughput": 0,
      "tier": "low"
    }
  },
  "created_at": "string",
  "created_by": "string",
  "dynamic_overrides": {
    "configuration_overrides": {
      "byoc_sku": {
        "arch": "x64",
        "imdsv2_required": true,
        "instance_types": [
          "m5.xlarge",
          "m5.2xlarge"
        ],
        "is_public": false,
        "network_tier": "STANDARD",
        "role_arn": "arn:aws:iam::123456789012:role/WarpBuildRole"
      },
      "capacity_type": "spot",
      "image": "string",
      "sku": {
        "arch": "x64",
        "cores": 0,
        "display_name": "string",
        "id": "string",
        "memory": 0,
        "os": [
          "mac"
        ],
        "properties": {
          "burstable_speed": 0,
          "generation": "string",
          "gpu": 0,
          "manufacturer": "any",
          "performance_category": "small",
          "performance_rating": 0,
          "speed": 0
        }
      },
      "stock_runner_set_id": "string",
      "storage": {
        "disk_type": "pd-balanced",
        "iops": 0,
        "performance_tier": "P15",
        "size": 0,
        "throughput": 0,
        "tier": "low"
      }
    },
    "hardware_features": {
      "property1": true,
      "property2": true
    },
    "network_addon_config_id": "string",
    "snapshot_enabled": true,
    "snapshot_key": "string"
  },
  "external_id": "string",
  "first_polled_at": "string",
  "host": "string",
  "id": "string",
  "label_attributes": {
    "attributes_arr": [
      {
        "attributes": {},
        "runner": "string"
      }
    ],
    "parsed_labels": [
      "string"
    ]
  },
  "labels": [
    "string"
  ],
  "last_job_processed_id": "string",
  "last_job_processed_meta": {
    "vcs_base_ref": "string",
    "vcs_default_branch": "string",
    "vcs_end_time": "string",
    "vcs_head_ref": "string",
    "vcs_job_name": "string",
    "vcs_org": "string",
    "vcs_ref": "string",
    "vcs_ref_type": "string",
    "vcs_repo": "string",
    "vcs_start_time": "string",
    "vcs_workflow_group_id": "string"
  },
  "last_polled_at": "string",
  "organization_id": "string",
  "post_resume_first_polled_at": "string",
  "provider_kind_id": "string",
  "purged_at": "string",
  "purged_reason": "string",
  "runner_for": "string",
  "runner_set_id": "string",
  "running_started_at": "string",
  "stack_kind": "string",
  "status": "string",
  "suspended_at": "string",
  "suspending_started_at": "string",
  "updated_at": "string",
  "vcs_integration_id": "string"
}
{
  "code": "string",
  "description": "string",
  "message": "string",
  "sub_code": "string",
  "sub_message": "string"
}
{
  "code": "string",
  "description": "string",
  "message": "string",
  "sub_code": "string",
  "sub_message": "string"
}